#
# spec file for package yast2-adcommon-python
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-adcommon-python
Version:        1.6
Release:        1.14
Summary:        Common code for the yast python ad modules
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Samba
URL:            https://github.com/yast/yast2-adcommon-python
Source:         %{name}-%{version}.tar.bz2
BuildArch:      noarch
Requires:       krb5-client
Requires:       python3-keyring
Requires:       python3-ldap
Requires:       python3-ldb
Requires:       samba-client
Requires:       samba-dsdb-modules
Requires:       samba-python3
Requires:       yast2
Requires:       yast2-python3-bindings >= 4.0.0
BuildRequires:  python3
BuildRequires:  python3-setuptools

%description
Common code shared by the yast2-aduc, yast2-adsi, and yast2-gpmc modules.

%prep
%setup -q

%build

%install
./setup.py install --no-compile --single-version-externally-managed --root=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{python3_sitelib}/adcommon-*.egg-info

%clean

%files
%defattr(-,root,root)
%dir %{python3_sitelib}/adcommon
%{python3_sitelib}/adcommon/*

%changelog
* Thu Jan  7 2021 dmulder@suse.com
- Remove ad-dc dependency; (jsc#ECO-2527);
- 1.6
* Mon Sep 28 2020 dmulder@suse.com
- Rev version for SLE update; (jsc#ECO-2527);
- 1.5
* Tue May 12 2020 dmulder@suse.com
- Fix slow load of ADUC caused by chatty ldap traffic;
  (bsc#1170998);
- 1.4
* Tue Oct 15 2019 dmulder@suse.com
- The domain label should be a text field, for manually entering
  the domain name; (bsc#1154121);
- 1.3
* Tue Oct 15 2019 dmulder@suse.com
- samba-dsdb-modules and python3-ldap requirements are missing;
  (jsc#SLE-5527);
- 1.2
* Wed Sep 11 2019 dmulder@suse.com
- Reconnect the ldap session if it times out; (bsc#1150394);
- 1.1
* Thu Aug 22 2019 dmulder@suse.com
- AD modules should connect to an AD-DC via the SamDB interface,
  instead of python-ldap; (bsc#1146898);
- 1.0
* Tue Aug 13 2019 dmulder@suse.com
- Fix incorrectly placed domain in change domain dialog; (bsc#1145508);
- 0.8
* Mon Jun 17 2019 dmulder@suse.com
- Pass the domain name to the samba Credentials object; (bsc#1138487);
- YaST aduc/adsi/gpmc should not exit after entering empty password.
  Also, explicitly state that an Active Directory administrator should
  sign in; (bsc#1132565);
- 0.7
* Thu Jun 13 2019 dmulder@suse.com
- Move schema parsing code from adsi to the common code; (bsc#1138203);
- 0.6
* Wed May 15 2019 dmulder@suse.com
- "TypeError: Expected a string or unicode object" during auth;
  (bsc#1135224);
- 0.5
* Tue May 14 2019 dmulder@suse.com
- Authentication fails with "Failed to initialize ldap connection";
  (bsc#1135130);
- 0.4
* Fri Apr 26 2019 dmulder@suse.com
- yast2-adcommon-python ldap doesn't correctly parse ldap urls for
  ldap.initialize(); (bsc#1133568);
- 0.3
* Wed Mar 13 2019 dmulder@suse.com
- Update to 1.0:
  + Enable CI testing
  + Allow saving of username and password in keyring, except in qt
    where the keyring module deadlocks dbus.
  + Choose domain at login
  + Extract the domain so smb auth does not fail
  + Allow switching domains
* Mon Dec 17 2018 dmulder@suse.com
- initial version
